import Cookies from "js-cookie";

/**
 * FIXME: 原本以为设置httponly的cookie可以防止token被XSS攻击，但是前端设置不了httponly的cookie。
 * 理论上前端存储在cookie和localStorage的token都可能被盗。
 */
const TokenKey = "Token";

export function getToken() {
  return Cookies.get(TokenKey);
}

export function setToken(token) {
  return Cookies.set(TokenKey, token);
}

export function removeToken() {
  return Cookies.remove(TokenKey);
}
